using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("管控措施")]
    public class T_SK_RISK_IDENTIFY_RESULT_SUMMARY_MEASURE : MesEntityBase
    {
        /// <summary>
        /// 安全风险辨识结果汇总明细
        /// </summary>
        [Description("安全风险辨识结果汇总明细")]
        [DataFieldForeignKey("Nav_SummaryDetail", "Nav_DetailMeasures")]
        public Guid IDENTIFY_RESULT_SUMMARY_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航：安全风险辨识结果汇总明细
        /// </summary>
        [Description("导航：安全风险辨识结果汇总明细")]
        public virtual T_SK_RISK_IDENTIFY_RESULT_SUMMARY_DETAIL Nav_SummaryDetail { get; set; }

        [Description("序号")]
        public int? NUM { get; set; }

        [Description("措施")]
        public string MEASURE { get; set; }

        [Description("应急处置")]
        public string EMERGENCY { get; set; }
    }
}
